Bug 1264170 - [abrt] webkitgtk4: active_edges(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: active_edges(): WebKitWebProcess killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a63ed516b9547ee5e18ed42c683...
:
: 1229921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 13:32 EDT by Peter
Modified: 2016-07-19 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:56:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (231.82 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: core_backtrace (23.98 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: dso_list (15.54 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: environ (1.60 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: maps (154.41 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: mountinfo (3.68 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: open_fds (1.24 KB, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-17 13:32 EDT, Peter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 74779 None None None 2016-03-03 09:18 EST

  None (edit)
Description Peter 2015-09-17 13:32:12 EDT
Description of problem:
Opened the editor of openstreetmap.

Version-Release number of selected component:
webkitgtk4-2.8.5-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 22
crash_function: active_edges
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     12692
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 active_edges at cairo-polygon-intersect.c:1235
 #1 intersection_sweep at cairo-polygon-intersect.c:1271
 #2 _cairo_polygon_intersect at cairo-polygon-intersect.c:1466
 #3 clip_and_composite_polygon at cairo-spans-compositor.c:946
 #4 _cairo_spans_compositor_stroke at cairo-spans-compositor.c:1083
 #5 _cairo_compositor_stroke at cairo-compositor.c:157
 #6 _cairo_image_surface_stroke at cairo-image-surface.c:964
 #7 _cairo_surface_stroke at cairo-surface.c:2296
 #8 _cairo_gstate_stroke at cairo-gstate.c:1194
 #9 _cairo_default_context_stroke at cairo-default-context.c:1010
Comment 1 Peter 2015-09-17 13:32:19 EDT
Created attachment 1074521 [details]
File: backtrace
Comment 2 Peter 2015-09-17 13:32:20 EDT
Created attachment 1074522 [details]
File: cgroup
Comment 3 Peter 2015-09-17 13:32:22 EDT
Created attachment 1074523 [details]
File: core_backtrace
Comment 4 Peter 2015-09-17 13:32:23 EDT
Created attachment 1074524 [details]
File: dso_list
Comment 5 Peter 2015-09-17 13:32:25 EDT
Created attachment 1074525 [details]
File: environ
Comment 6 Peter 2015-09-17 13:32:26 EDT
Created attachment 1074526 [details]
File: limits
Comment 7 Peter 2015-09-17 13:32:29 EDT
Created attachment 1074527 [details]
File: maps
Comment 8 Peter 2015-09-17 13:32:30 EDT
Created attachment 1074528 [details]
File: mountinfo
Comment 9 Peter 2015-09-17 13:32:31 EDT
Created attachment 1074529 [details]
File: namespaces
Comment 10 Peter 2015-09-17 13:32:32 EDT
Created attachment 1074530 [details]
File: open_fds
Comment 11 Peter 2015-09-17 13:32:34 EDT
Created attachment 1074531 [details]
File: proc_pid_status
Comment 12 Peter 2015-09-17 13:32:38 EDT
Created attachment 1074532 [details]
File: var_log_messages
Comment 13 Marek Kašík 2016-03-03 06:18:28 EST
*** Bug 1229921 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2016-07-19 13:56:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.